# Generated from feature-1.4.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name feature

Name: rubygem-%{gem_name}
Version: 1.4.0
Release: 1%{?dist}.2
Summary: Feature Toggle library for ruby
Group: Development/Languages
License: MIT
URL: http://github.com/mgsnova/feature
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildRequires: rubygem(rake)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rspec-mocks)
# BuildRequires: rubygem(timecop)
# BuildRequires: rubygem(fakeredis)
# BuildRequires: rubygem(mutant)
# BuildRequires: rubygem(mutant-rspec)
BuildArch: noarch

%description
Feature Toggle library for ruby.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/




# Run the test suite
%check
pushd .%{gem_instdir}
# %{_bindir}/rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Tue Apr 25 2017 Oleg Girko <ol@infoserver.lv> - 1.4.0-1
- Initial package
